org.codehaus.groovy.util

## Class ManagedConcurrentMap.Entry<K,V>

- java.lang.Object
- - org.codehaus.groovy.util.ManagedReference<K>
  - - org.codehaus.groovy.util.ManagedConcurrentMap.Entry<K,V>

- All Implemented Interfaces:
    AbstractConcurrentMap.Entry<K,V>, AbstractConcurrentMapBase.Entry<V>, Finalizable
  Direct Known Subclasses:
    ClassInfo, ManagedConcurrentMap.EntryWithValue
  Enclosing class:
    ManagedConcurrentMap<K,V>

      public static class ManagedConcurrentMap.Entry<K,V>
      extends ManagedReference<K>
      implements AbstractConcurrentMap.Entry<K,V>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ManagedConcurrentMap.Entry(ReferenceBundle bundle, ManagedConcurrentMap.Segment segment, K key, int hash)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `finalizeRef()`
    `int` | `getHash()`
    `V` | `getValue()`
    `boolean` | `isEqual(K key, int hash)`
    `boolean` | `isValid()`
    `void` | `setValue(V value)`

    - ### Methods inherited from class org.codehaus.groovy.util.ManagedReference

      `clear, finalizeReference, get`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ManagedConcurrentMap.Entry

          public ManagedConcurrentMap.Entry(ReferenceBundle bundle,
                                    ManagedConcurrentMap.Segment segment,
                                    K key,
                                    int hash)

  - ### Method Detail

    - #### isValid

          public boolean isValid()

      Specified by:
        `isValid` in interface `AbstractConcurrentMapBase.Entry<V>`

    - #### isEqual

          public boolean isEqual(K key,
                        int hash)

      Specified by:
        `isEqual` in interface `AbstractConcurrentMap.Entry<K,V>`

    - #### getValue

          public V getValue()

      Specified by:
        `getValue` in interface `AbstractConcurrentMapBase.Entry<V>`

    - #### setValue

          public void setValue(V value)

      Specified by:
        `setValue` in interface `AbstractConcurrentMapBase.Entry<V>`

    - #### getHash

          public int getHash()

      Specified by:
        `getHash` in interface `AbstractConcurrentMapBase.Entry<V>`

    - #### finalizeRef

          public void finalizeRef()